Last Comment Bug 508369 - mochitest-plain: intermittent "test_bug369814.html | iframes.html loaded from view-source jar type (or from non-jar type), pref disabled: should block a suspicious JAR load"
: mochitest-plain: intermittent "test_bug369814.html | iframes.html loaded from...
Status: RESOLVED FIXED
[softblocker]
: intermittent-failure
Product: Core
Classification: Components
Component: Networking: JAR (show other bugs)
: Trunk
: x86 All
: P1 normal (vote)
: mozilla6
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 565307
Blocks: jarxss 438871 FlakyTimeout
  Show dependency treegraph
 
Reported: 2009-08-04 14:27 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-11-25 19:31 PST (History)
11 users (show)
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.x+


Attachments
fix test [Checked in: Comment 16 & 67] (953 bytes, patch)
2009-12-17 15:39 PST, Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
bzbarsky: review+
Details | Diff | Review
part 1. Move the detection of loads inheriting a principal later in InternalLoad so that we catch ones that pass in a non-null owner directly [Checked in: Comment 84] (5.40 KB, patch)
2011-05-03 14:06 PDT, Boris Zbarsky [:bz]
jst: review+
Details | Diff | Review
part 2. Change the test to catch the error fixed in part 1 in the future. This is just removing an extra .parent from the scripts in anchors.html inside the zip file [Checked in: Comment 84] (1.40 KB, patch)
2011-05-03 14:07 PDT, Boris Zbarsky [:bz]
jst: review+
Details | Diff | Review
part 3. Stop using timeouts in the test. zip file change is just a change to replace top.poke() with parent.poke() so that the refresh test will be useful in the harness too [Checked in: Comment 84] (5.34 KB, patch)
2011-05-03 14:09 PDT, Boris Zbarsky [:bz]
ehsan: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2009-08-04 14:27:47 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1249411693.1249420049.27935.gz
WINNT 5.2 comm-1.9.1 unit test on 2009/08/04 11:48:13

... | iframes.html loaded from view-source jar type, pref disabled: should block a suspicious JAR load.
Comment 1 Serge Gautherie (:sgautherie) 2009-08-08 06:00:58 PDT
(In reply to comment #0)

cb-seamonkey-win32-01

***

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1249720613.1249729382.14590.gz
WINNT 5.2 comm-1.9.1 unit test on 2009/08/08 01:36:53
cb-seamonkey-win32-01
Comment 2 Serge Gautherie (:sgautherie) 2009-08-25 07:01:43 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1251188124.1251199506.17032.gz
WINNT 5.2 comm-1.9.1 unit test on 2009/08/25 01:15:24
Building on: cb-seamonkey-win32-01
{
... | iframes.html loaded from view-source jar type, pref disabled: should block a suspicious JAR load.
... | iframes.html loaded from view-source jar type, pref enabled: should block a suspicious JAR load.
}
Comment 3 Serge Gautherie (:sgautherie) 2009-09-03 04:44:55 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1251960134.1251970892.17799.gz
WINNT 5.2 comm-1.9.1 unit test on 2009/09/02 23:42:14
cb-seamonkey-win32-01
{
... | iframes.html loaded from view-source jar type, pref disabled: should block a suspicious JAR load.
}

NB: Always this VM, but truly intermittent.
Comment 4 Serge Gautherie (:sgautherie) 2009-10-07 18:29:44 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1254956006.1254964770.22421.gz
WINNT 5.2 comm-1.9.1 unit test on 2009/10/07 15:53:26
cb-seamonkey-win32-01
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-10-20 04:40:21 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256025114.1256028146.22384.gz
OS X 10.5.2 mozilla-central test mochitests on 2009/10/20 00:51:54  
44603 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from view-source jar type, pref disabled: should block a suspicious JAR load.
Comment 6 Serge Gautherie (:sgautherie) 2009-10-20 07:31:26 PDT
(In reply to comment #5)
> OS X 10.5.2 mozilla-central test mochitests on 2009/10/20 00:51:54  

Building on: moz2-darwin9-slave07
Comment 7 Phil Ringnalda (:philor) 2009-10-25 09:35:55 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256487340.1256488117.28513.gz
WINNT 5.2 mozilla-central test debug mochitests-2/5 on 2009/10/25 09:15:40
Comment 8 Phil Ringnalda (:philor) 2009-10-28 15:50:09 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256766948.1256769908.3340.gz
WINNT 5.2 mozilla-central test debug mochitests-2/5 on 2009/10/28 14:55:48
Comment 9 Phil Ringnalda (:philor) 2009-11-19 13:02:15 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258658283.1258661353.12351.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2009/11/19 11:18:03
"s: moz2-win32-slave12"
Comment 10 Serge Gautherie (:sgautherie) 2009-12-11 17:58:31 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1260569052.1260577045.32309.gz
WINNT 5.2 comm-1.9.1 unit test on 2009/12/11 14:04:12
Comment 11 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-12-16 20:14:29 PST
I've got this one in a record/replay log.
Comment 12 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-12-17 15:25:50 PST
Something's wrong with the test:

http://mxr.mozilla.org/mozilla-central/source/docshell/test/test_bug369814.html?force=1#152

{ "name" : "iframes.html loaded from view-source jar type, pref disabled",
  "url" : "jar:view-source:http://localhost:8888/tests/docshell/test/bug369814.jar!/iframes.html",
  "pref" : true,

"pref" should be false here, shouldn't it?
Comment 13 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-12-17 15:29:22 PST
Although since we have exactly the same test in the next test, I'm guessing there is still a bug here even once the test is fixed.
Comment 14 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2009-12-17 15:39:21 PST
Created attachment 418280 [details] [diff] [review]
fix test
[Checked in: Comment 16 & 67]

This doesn't fix the random orange, I think, but still worth fixing...
Comment 15 Timothy Nikkel (:tnikkel) 2010-01-02 20:31:01 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262491404.1262492129.7184.gz
WINNT 5.2 mozilla-central opt test mochitests-2/5 on 2010/01/02 20:03:24
s: win32-slave10
Comment 16 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2010-01-06 20:02:32 PST
Fixed the test:
http://hg.mozilla.org/mozilla-central/rev/f62942e7f4e2

I suspect the orange must still happen. Let's wait for reports to come in.
Comment 18 Phil Ringnalda (:philor) 2010-01-27 09:32:32 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264606600.1264607286.10129.gz
WINNT 5.2 mozilla-central opt test mochitests-2/5 on 2010/01/27 07:36:40
s: win32-slave34
Comment 19 Phil Ringnalda (:philor) 2010-03-02 15:13:07 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267570090.1267571242.32641.gz
WINNT 5.2 mozilla-central opt test mochitests-2/5 on 2010/03/02 14:48:10
s: win32-slave37
Comment 20 Robert Strong [:rstrong] (use needinfo to contact me) 2010-03-11 21:50:10 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268370180.1268372502.10804.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/03/11 21:03:00
Comment 21 Drew Willcoxon :adw 2010-03-22 17:11:01 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269300561.1269302577.5699.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/03/22 16:29:21
Comment 22 Serge Gautherie (:sgautherie) 2010-04-11 06:36:29 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1270979347.1270983329.17633.gz
Linux comm-central-trunk debug test mochitests-2/5 on 2010/04/11 02:49:07
Comment 23 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2010-04-26 23:00:08 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272346681.1272347557.23698.gz
WINNT 5.2 mozilla-central opt test mochitests-2/5 on 2010/04/26 22:38:01  
s: win32-slave11
Comment 24 Treeherder Robot 2010-05-12 03:13:32 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273658498.1273659059.2930.gz
WINNT 5.2 mozilla-central opt test mochitests-2/5, Started 03:01, finished 03:11, took 11mins

s: win32-slave27
291 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 25 Treeherder Robot 2010-06-09 14:40:55 PDT
longsonr%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276116338.1276119355.25288.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/06/09 13:45:38

s: win32-slave19
291 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 26 Treeherder Robot 2010-06-10 10:40:59 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1276169642.1276171670.9027.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/06/10 04:34:02

s: win32-slave01
291 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 27 Treeherder Robot 2010-07-13 21:15:01 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1279055006.1279057828.15350.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/07/13 14:03:26

s: win32-slave09
322 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 28 Treeherder Robot 2010-08-04 16:28:36 PDT
zweinberg%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280961746.1280963313.19239.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/04 15:42:26

s: win32-slave13
326 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
TEST-UNEXPECTED-FAIL | /tests/dom/src/threads/test/test_xhr.html | Exited with code -1073741819 during test run
PROCESS-CRASH | /tests/dom/src/threads/test/test_xhr.html | application crashed (minidump found)
Thread 0 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
Comment 29 Treeherder Robot 2010-08-06 01:00:16 PDT
dbaron%dbaron.org
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1281078153.1281080744.14315.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/06 00:02:33

s: win32-slave26
326 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 30 Treeherder Robot 2010-08-18 08:46:15 PDT
khuey
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282142465.1282145158.19263.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/18 07:41:05

s: win32-slave42
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 31 Treeherder Robot 2010-08-19 17:07:46 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282259335.1282262234.10359.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/19 16:08:55

s: win32-slave09
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 32 Treeherder Robot 2010-08-23 15:44:23 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1282599978.1282603006.23040.gz
WINNT 5.2 tracemonkey debug test mochitests-2/5 on 2010/08/23 14:46:18

s: win32-slave48
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 33 Treeherder Robot 2010-08-24 21:13:59 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282700491.1282706087.4283.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/24 18:41:31

s: win32-slave13
417 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
4994 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/offline/test_fallback.html | Fallback page displayed for top level document
5416 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testFormActivating - 3 assertions, 1 failures, 0 errors
6463 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/bugs/test_bug265203.html | Test timed out.
Comment 34 Treeherder Robot 2010-08-27 12:14:47 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1282929715.1282932665.26108.gz
WINNT 5.2 tracemonkey debug test mochitests-2/5 on 2010/08/27 10:21:55

s: win32-slave11
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 35 Treeherder Robot 2010-08-27 21:15:45 PDT
tnikkel%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282965878.1282968753.24546.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/27 20:24:38

s: win32-slave11
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 36 Treeherder Robot 2010-08-27 21:16:19 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1282965878.1282968753.24546.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/27 20:24:38

s: win32-slave11
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 37 Treeherder Robot 2010-08-29 17:39:51 PDT
Callek%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283126048.1283128575.2201.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/29 16:54:08

s: win32-slave18
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 38 Treeherder Robot 2010-08-30 16:30:47 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283207632.1283210802.18947.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/08/30 15:33:52

s: win32-slave11
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 39 Treeherder Robot 2010-08-30 21:05:16 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Jaegermonkey/1283224311.1283227208.27329.gz
WINNT 5.2 jaegermonkey debug test mochitests-2/5 on 2010/08/30 20:11:51

s: win32-slave49
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
5530 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/scriptaculous/test_Scriptaculous.html | testInPlaceEditor - 31 assertions, 2 failures, 0 errors
5531 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/scriptaculous/test_Scriptaculous.html | testInPlaceEditor - 31 assertions, 2 failures, 0 errors
5532 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/scriptaculous/test_Scriptaculous.html | testHovering - 1 assertions, 1 failures, 0 errors
Comment 40 Treeherder Robot 2010-09-01 05:40:18 PDT
Standard8
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283341044.1283344329.10359.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/01 04:37:24

s: win32-slave11
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 41 Treeherder Robot 2010-09-01 05:40:31 PDT
dbaron%dbaron.org
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283341044.1283344329.10359.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/01 04:37:24

s: win32-slave11
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 42 Treeherder Robot 2010-09-01 17:46:01 PDT
tnikkel%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283384153.1283387901.1906.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/01 16:35:53

s: win32-slave10
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 43 Treeherder Robot 2010-09-03 09:53:45 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283529583.1283532378.16922.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/03 08:59:43

s: win32-slave42
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 44 Boris Zbarsky [:bz] 2010-09-03 10:48:47 PDT
This has been happening a _lot_ recently.  It's worrying me that we might have an actual security hole here...
Comment 45 Treeherder Robot 2010-09-03 14:54:25 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283547470.1283550133.27470.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/03 13:57:50

s: win32-slave10
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 46 Treeherder Robot 2010-09-05 13:56:35 PDT
tnikkel%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283717213.1283719832.464.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/05 13:06:53

s: win32-slave12
454 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 47 Serge Gautherie (:sgautherie) 2010-09-05 22:31:32 PDT
TopFails (all 4 apps) doesn't list this test :-(
Comment 48 Treeherder Robot 2010-09-06 09:32:28 PDT
smontagu%smontagu.org
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283786685.1283789735.9007.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/06 08:24:45

s: win32-slave12
455 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
3799 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | fx module: stop() - several in queue - All 3 still in the queue expected: 3 actual: 2
Comment 49 Treeherder Robot 2010-09-07 09:37:36 PDT
jmathies%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283873751.1283876518.18566.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/07 08:35:51

s: win32-slave09
455 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
5169 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/prototype/test_Prototype.html | testResponders - 8 assertions, 2 failures, 0 errors
Comment 50 Treeherder Robot 2010-09-09 13:11:35 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1284059291.1284061906.6405.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/09 12:08:11

s: win32-slave07
455 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
3843 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | fx module: stop() - several in queue - An animation occurred 0px 0px
3844 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/ajax/jquery/test_jQuery.html | fx module: stop() - several in queue - Stop didn't reset the animation 0px 0px
Comment 51 Treeherder Robot 2010-09-15 11:18:20 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1284569931.1284573267.12437.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/15 09:58:51

s: win32-slave23
455 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 52 Treeherder Robot 2010-09-16 17:33:51 PDT
dveditz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1284679101.1284681787.22025.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/09/16 16:18:21

s: win32-slave22
455 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 53 Bruno 'Aqualon' Escherl 2010-09-20 14:26:53 PDT
Wild guess probably, but since some of the previous logs show a warning about not being able to retrieve the pref plugins.unloadASAP before the test failure, could we fail at the call to the pref-service somehow? In other words, would we get a warning/assertion if the call to setBoolPref in that testcase failed?
Comment 54 Boris Zbarsky [:bz] 2010-09-20 14:40:47 PDT
If setBoolPref failed in the testcase in the throw-an-exception sense, the test would fail due to triggering window.onerror and never run the view-source test....

But maybe prefs is just lying about the value?
Comment 55 Treeherder Robot 2010-09-29 17:43:23 PDT
dveditz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1285802281.1285805092.21716.gz
OS X 10.5.2 mozilla-1.9.1 test mochitests on 2010/09/29 16:18:01

s: moz2-darwin9-slave43
30126 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 56 Treeherder Robot 2010-09-30 15:25:41 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1285883137.1285885300.5547.gz
Rev3 Fedora 12 tracemonkey debug test mochitests-2/5 on 2010/09/30 14:45:37

s: talos-r3-fed-036
455 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 57 Treeherder Robot 2010-10-12 20:10:49 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286936156.1286938807.2376.gz
WINNT 5.2 tracemonkey debug test mochitests-2/5 on 2010/10/12 19:15:56

s: win32-slave17
481 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 58 Treeherder Robot 2010-10-15 12:07:38 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1287166373.1287169278.16812.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/10/15 11:12:53

s: win32-slave19
481 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 59 Treeherder Robot 2010-10-19 00:23:53 PDT
peterv%propagandism.org
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1287469740.1287472190.14808.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/10/18 23:29:00

s: win32-slave23
481 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 60 Treeherder Robot 2010-10-27 16:46:55 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1288220183.1288222943.3737.gz
WINNT 5.2 mozilla-central debug test mochitests-2/5 on 2010/10/27 15:56:23

s: win32-slave23
482 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 61 Johnny Stenback (:jst, jst@mozilla.com) 2010-11-02 11:33:00 PDT
Boris, could you dig a bit deeper here and either unblock if this is not as bad as it is, or fix or reassign as needed if we need to fix this for 2.0?
Comment 62 Treeherder Robot 2010-11-03 19:07:03 PDT
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1288833504.1288836201.13993.gz
WINNT 5.2 tracemonkey debug test mochitests-2/5 on 2010/11/03 18:18:24

s: win32-slave12
482 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 63 Treeherder Robot 2010-11-05 16:46:06 PDT
bjarne%runitsoft.com
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1288995200.1288997685.19795.gz
WINNT 5.2 tryserver debug test mochitests-2/5 on 2010/11/05 15:13:20

s: try-w32-slave27
482 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 64 Treeherder Robot 2010-11-08 10:15:08 PST
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Maple/1289230848.1289233662.14765.gz
WINNT 5.2 maple debug test mochitests-2/5 on 2010/11/08 07:40:48

s: win32-slave12
482 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 65 Treeherder Robot 2010-11-16 16:55:26 PST
jwalden%mit.edu
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1289950843.1289953936.12481.gz
WINNT 5.2 tracemonkey debug test mochitests-2/5 on 2010/11/16 15:40:43

s: win32-slave11
482 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 66 Treeherder Robot 2010-12-08 05:34:39 PST
sgautherie.bz%free.fr
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1291779149.1291782214.2053.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2010/12/07 19:32:29

s: moz2-darwin9-slave46
42793 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 68 Treeherder Robot 2010-12-17 22:46:57 PST
sgautherie.bz%free.fr
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1292647817.1292651340.20189.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2010/12/17 20:50:17

s: moz2-darwin9-slave43
42799 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from view-source jar type, pref disabled: should block a suspicious JAR load.
107380 ERROR TEST-UNEXPECTED-FAIL | /tests/modules/plugin/test/test_streamatclose.html | NPP_URLNotify should be called if streams are active at NPP_Destroy
Comment 69 Treeherder Robot 2011-01-31 13:14:34 PST
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1296504955.1296508132.14625.gz
OS X 10.5.2 mozilla-1.9.1 test mochitests on 2011/01/31 12:15:55

s: moz2-darwin9-slave20
30158 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from view-source jar type, pref disabled: should block a suspicious JAR load.
Comment 70 Treeherder Robot 2011-02-02 12:34:59 PST
dbaron%dbaron.org
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1296675044.1296677937.1089.gz
OS X 10.5.2 mozilla-1.9.1 test mochitests on 2011/02/02 11:30:44

s: moz2-darwin9-slave06
30161 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 71 Treeherder Robot 2011-02-11 10:33:13 PST
sgautherie.bz%free.fr
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1297442951.1297446315.24018.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2011/02/11 08:49:11

s: moz2-darwin9-slave65
42758 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 72 Treeherder Robot 2011-03-02 23:16:43 PST
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1299094345.1299097496.28575.gz
OS X 10.5.2 mozilla-1.9.1 test mochitests on 2011/03/02 11:32:25

s: moz2-darwin9-slave41
30140 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from view-source jar type, pref disabled: should block a suspicious JAR load.
43065 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/tests/mochitest/geolocation/test_allowCurrent.html | Test timed out.
Comment 73 Mike Beltzner [:beltzner, not reading bugmail] 2011-03-03 07:22:06 PST
** PRODUCT DRIVERS PLEASE NOTE **

This bug is one of 7 automatically changed from blocking2.0:final+ to blocking2.0:.x during the endgame of Firefox 4 for the following reasons:

 - it was marked as a soft blocking issue without a requirement for beta coverage
Comment 74 Treeherder Robot 2011-03-09 16:07:16 PST
me%shawnwilsher.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1299711345.1299714880.18481.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2011/03/09 14:55:45

s: moz2-darwin9-slave24
42754 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 75 Treeherder Robot 2011-03-14 15:42:07 PDT
rstrong%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1300127281.1300130459.24394.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2011/03/14 11:28:01

s: moz2-darwin9-slave51
42772 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from view-source jar type, pref disabled: should block a suspicious JAR load.
Comment 76 Treeherder Robot 2011-03-14 17:20:29 PDT
rstrong%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1300143376.1300146678.24137.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2011/03/14 15:56:16

s: moz2-darwin9-slave06
42790 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 77 Treeherder Robot 2011-04-01 14:02:41 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1301683639.1301686924.13689.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2011/04/01 11:47:19

s: moz2-darwin9-slave14
42801 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from view-source jar type, pref disabled: should block a suspicious JAR load.
Comment 78 Treeherder Robot 2011-04-02 23:06:44 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1301807246.1301810401.2490.gz
OS X 10.5.2 mozilla-1.9.1 test mochitests on 2011/04/02 22:07:26

s: moz2-darwin9-slave23
30157 ERROR TEST-UNEXPECTED-FAIL | /tests/docshell/test/test_bug369814.html | iframes.html loaded from non-jar type, pref disabled: should block a suspicious JAR load.
Comment 79 Boris Zbarsky [:bz] 2011-05-03 11:24:48 PDT
Ah.  I bet the issue here is this.  loadErrorTest does:

  73   gTestFrame.src = test['url'];
74 
75   // Give the frame a chance to fail at loading
76   setTimeout(function() {
77       // XXX: There doesn't seem to be a reliable check for "got an error,"
78       // but reaching in to an error document will throw an exception
....

89     }, gLoadTimeout);

where gLoadTimeout is 3000.  I bet if the load is just really slow this could fail....
Comment 80 Boris Zbarsky [:bz] 2011-05-03 13:38:17 PDT
So there were several issues here:

1)  The code in bug 369814 was wrong.
2)  The test was wrong and didn't catch the issue from #1.
3)  The problem from comment 79.

Fixes coming up for all three.
Comment 81 Boris Zbarsky [:bz] 2011-05-03 14:06:43 PDT
Created attachment 529826 [details] [diff] [review]
part 1.  Move the detection of loads inheriting a principal later in InternalLoad so that we catch ones that pass in a non-null owner directly
[Checked in: Comment 84]
Comment 82 Boris Zbarsky [:bz] 2011-05-03 14:07:04 PDT
Created attachment 529827 [details] [diff] [review]
part 2.  Change the test to catch the error fixed in part 1 in the future.  This is just removing an extra .parent from the scripts in anchors.html inside the zip file
[Checked in: Comment 84]
Comment 83 Boris Zbarsky [:bz] 2011-05-03 14:09:04 PDT
Created attachment 529828 [details] [diff] [review]
part 3.  Stop using timeouts in the test.  zip file change is just a change to replace top.poke() with parent.poke() so that the refresh test will be useful in the harness too
[Checked in: Comment 84]

Note You need to log in before you can comment on or make changes to this bug.